{ pkgs, lib, config, ... }: {
  options.mods.unfree.steam = {
    enable = lib.mkEnableOption {
      default = false;
      description = "enables proprietary steam software";
    };
    packages = lib.mkOption {
      default = [ "steam" "steam-original" "steam-run" "steam-unwrapped" ];
      description = "unfree packages";
    };
  };

  config = lib.mkIf config.mods.unfree.steam.enable {
    # nixos.wiki/wiki/Steam
    programs.steam = {
      enable = true;
      remotePlay.openFirewall = true;
    };
  };
}
